| Home | Libraries | People | FAQ | More

## Class template enable_shared_from_this

boost::interprocess::enable_shared_from_this

## Synopsis

    template<typename T, typename A, typename D>
    class enable_shared_from_this {
    public:

      // public member functions
      shared_ptr< T, A, D > shared_from_this() ;
      shared_ptr< T const, A, D > shared_from_this() const;
    };

## Description

### `enable_shared_from_this` public member functions

1.     shared_ptr< T, A, D > shared_from_this() ;

2.     shared_ptr< T const, A, D > shared_from_this() const;